NAME
Tk_Sleep - delay execution for a given number of milliseconds

SYNOPSIS
#include <tk.h>

Tk_Sleep(ms)

ARGUMENTS
Number of milliseconds to sleep.

DESCRIPTION

This procedure delays the calling process by the number of milliseconds given by the ms parameter, and returns after that time has elapsed. It is typically used for things like flashing a button, where the delay is short and the application needn't do anything while it waits. For longer delays where the application needs to respond to other events during the delay, the procedure Tk_CreateTimerHandler should be used instead of Tk_Sleep.

KEYWORDS
sleep, time, wait